#include "softcris.h"

static const char VERSION_FILE_NAME[] = "VERSION_softlib";

int main(int argc, char *argv[]) {
    char version_info_string[128];
    FILE *fp;

    sc_version(version_info_string);

    fp = fopen(VERSION_FILE_NAME, "w");
    if (fp == NULL) {
	fprintf(stderr, "Fatal error:\n\tCould not open %s\n\n",
							VERSION_FILE_NAME);
	exit(1);	/* kill the make */
    }

    fputs(version_info_string, fp);
    fclose(fp);

    return 0;
}
