#! /usr/local/bin/perl -w

1;

sub get_ace_ware_directory {

    my $ace_ware_directory = $ENV{"ACE_WARE"};
    unless ($ace_ware_directory) {
	warn <<END_WARN;

Fatal error: 
	Version lookups require the definition of the ACE_WARE environment
	variable.  \$ACE_WARE should point to the base directory of your
	ACEware installation.  This is the directory such that if you
	printed the contents, it would contain (amongst other things):

		exe/
		idl/
		include/
		lib/
		man/
		pkgs/

	For example, at caltech we use

		setenv ACE_WARE /home/idunn1/ACEware

	Please define this environment variable and retry the make.

END_WARN

	exit(1);	# kill the make by exiting with a non-zero value
    }

    return $ace_ware_directory;
}
