/* CRIS "Expanded Event" or "Level 1.1 structure" format. */
/* Requires <softcris.h>->place this header file AFTER #include <softcris.h>*/
/* Version 1.0, MRT  11/14/97 */

struct blobs {
  float blobpos;                        /* one-dimensional position (x or y) */
  u_char layer;                        /* blob layer ID:
				          Y3=0, X3=1, Y2=2, X2=3, Y1=4, X1=5 */
};

struct ce_crisExpEvt {
  struct ce_crisEvt EvtData;                 /* "normal expanded cris event" */
  float x1,y1,x2,y2,x3,y3;               /* real x,y in mm for each XY layer */
  u_char ix1,iy1,ix2,iy2,ix3,iy3;          /* compressed (5-bit) intensities */
  u_char nx1,ny1,nx2,ny2,nx3,ny3; /* "blob number" used to define trajectory */
  float blobpos[CE_CRIS_MAXBLOBS];      /* one-dimensional position (x or y) */
  u_char layer[CE_CRIS_MAXBLOBS]; /* blob layer ID: Y3=0, X3=1, Y2=2, X2=3, Y1=4, X1=5 */
  u_char goodtraj;            /* trajectory flag (0=no traj, 1=traj data OK) */
};
