/* rdce2.c a routine that should reproduce those data selected by
*  tstmkce2 from ce2 data coming in through stdin.
*/
/* test ce_2 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include "ce2.h"

int main(int argc, char *argv[]) {
    struct ce2 ev;
    int i;
    int hop;

    while (fread((char *) &ev, sizeof(struct ce2), 1, stdin))  {
        printf("%8ld %2d ", ev.sc_clk, ev.ev_ofs);
        printf("%d %2d %d ",(ev.flags & 0x80) >> 7, ev.bufid,
						(ev.stim & 0x8000) >> 15);
        printf("%3d ",ev.soft_par[3]);
        if ((ev.blob_id & 0x80000000) != 0) {
            printf("%3ld %3d %2d ", (ev.qual_hop & 0xFF), ev.soft_par[2],
								ev.soft_par[1]);
            hop = 0;
            for (i = 0; i < 6; i++) {
                hop |= ((ev.qual_hop >> (23 - (3 * i))) & 7) << (3 * i);
            }
            printf("%6o ",hop);
            printf("%2d ",(ev.max_int[1] >> 10) & 0x1f);
            printf("%2d ",(ev.max_int[0] >> 10) & 0x1f);
            printf("%2d ",(ev.max_int[1] >> 5) & 0x1f);
            printf("%2d ",(ev.max_int[0] >> 5) & 0x1f);
            printf("%2d ",(ev.max_int[1]) & 0x1f);
            printf("%2d ",(ev.max_int[0]) & 0x1f);
            for (i = 0; i < 6; i++) {
                printf("%2ld ", (ev.blob_id >> 5 * (5 - i)) & 0x1f);
            }
        }
        printf("\n");
    }

    return 0;
}
